Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class JarVisitorFactory

    java.lang.Object
      org.hibernate.ejb.packaging.JarVisitorFactory

    public class JarVisitorFactory

extends java.lang.Object

Author:
  Emmanuel Bernard

Constructor Summary
`JarVisitorFactory()`

Method Summary
`static byte[]` | `getBytesFromInputStream(java.io.InputStream inputStream)`
`static java.net.URL` | `getJarURLFromURLEntry(java.net.URL url, java.lang.String entry)` Get the JAR URL of the JAR containing the given entry Method used in a non managed environment
`static JarVisitor` | `getVisitor(java.lang.String jarPath, Filter[] filters)` Get a JarVisitor to the jar `jarPath` applying the given filters Method used in a non-managed environment
`static JarVisitor` | `getVisitor(java.net.URL jarUrl, Filter[] filters)` Build a JarVisitor on the given JAR URL applying the given filters
`static JarVisitor` | `getVisitor(java.net.URL jarUrl, Filter[] filters, java.lang.String entry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarVisitorFactory

    public JarVisitorFactory()

Method Detail

### getJarURLFromURLEntry

    public static java.net.URL getJarURLFromURLEntry(java.net.URL url,
                                                     java.lang.String entry)
                                              throws java.lang.IllegalArgumentException

  Get the JAR URL of the JAR containing the given entry Method used in a non managed environment

  Parameters:
    `url` - URL pointing to the known file in the JAR
    `entry` - file known to be in the JAR
  Returns:
    the JAR URL
  Throws:
    `java.lang.IllegalArgumentException` - if none URL is found

### getVisitor

    public static JarVisitor getVisitor(java.lang.String jarPath,
                                        Filter[] filters)
                                 throws java.lang.IllegalArgumentException

  Get a JarVisitor to the jar `jarPath` applying the given filters Method used in a non-managed environment

  Throws:
    `java.lang.IllegalArgumentException` - if the jarPath is incorrect

### getVisitor

    public static JarVisitor getVisitor(java.net.URL jarUrl,
                                        Filter[] filters)
                                 throws java.lang.IllegalArgumentException

  Build a JarVisitor on the given JAR URL applying the given filters

  Throws:
    `java.lang.IllegalArgumentException` - if the URL is malformed

### getVisitor

    public static JarVisitor getVisitor(java.net.URL jarUrl,
                                        Filter[] filters,
                                        java.lang.String entry)
                                 throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getBytesFromInputStream

    public static byte[] getBytesFromInputStream(java.io.InputStream inputStream)
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD